DeleteBundleAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.DeleteBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceDeleteBundleAutomationRequest{
RequestCatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteBundleAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.deleteBundleAutomation({
requestCatalogId: "<id>",
});
console.log(result);
}
run();curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Request Catalog
Delete Bundle Automation
Delete the bundle automation rule for a catalog, stopping automatic membership syncing.
DELETE
/
api
/
v1
/
catalogs
/
{request_catalog_id}
/
bundle_automation
DeleteBundleAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.DeleteBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceDeleteBundleAutomationRequest{
RequestCatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteBundleAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.deleteBundleAutomation({
requestCatalogId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of the access profile whose automation should be deleted.
Body
application/json
The request message for deleting a bundle automation from a catalog.
Response
200 - application/json
The response message for deleting a bundle automation.
The response message for deleting a bundle automation.
Was this page helpful?
⌘I